Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.relyingparty.util
Class AuthSSLX509TrustManager

    java.lang.Object
      org.wso2.solutions.identity.relyingparty.util.AuthSSLX509TrustManager

All Implemented Interfaces:
  javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

    public class AuthSSLX509TrustManager

extends java.lang.Object
implements javax.net.ssl.X509TrustManager

AuthSSLX509TrustManager can be used to extend the default `X509TrustManager` with additional trust decisions.

Author:
  Oleg Kalnichevski

  DISCLAIMER: HttpClient developers DO NOT actively support this component. The component is provided as a reference material, which may be inappropriate for use without additional customization.

Constructor Summary
`AuthSSLX509TrustManager(javax.net.ssl.X509TrustManager defaultTrustManager)` Constructor for AuthSSLX509TrustManager.

Method Summary
`void` | `checkClientTrusted(java.security.cert.X509Certificate[] certificates, java.lang.String authType)`
`void` | `checkServerTrusted(java.security.cert.X509Certificate[] certificates, java.lang.String authType)`
`java.security.cert.X509Certificate[]` | `getAcceptedIssuers()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthSSLX509TrustManager

    public AuthSSLX509TrustManager(javax.net.ssl.X509TrustManager defaultTrustManager)

  Constructor for AuthSSLX509TrustManager.

Method Detail

### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] certificates,
                                   java.lang.String authType)
                            throws java.security.cert.CertificateException

  Specified by:
    `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`
  Throws:
    `java.security.cert.CertificateException`
  See Also:
    `X509TrustManager.checkClientTrusted(X509Certificate[],String authType)`

### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] certificates,
                                   java.lang.String authType)
                            throws java.security.cert.CertificateException

  Specified by:
    `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
  Throws:
    `java.security.cert.CertificateException`
  See Also:
    `X509TrustManager.checkServerTrusted(X509Certificate[],String authType)`

### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

  Specified by:
    `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`
  See Also:
    `X509TrustManager.getAcceptedIssuers()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD